# encoding: UTF-8

require 'spec_helper'

describe RussianInflect do
  it "должен правильно склонять словосочение «Хорошая погода»" do
    source = RussianInflect.new("Хорошая погода")
    source.test_each_case "Хорошая погода", "Хорошей погоды", "Хорошей погоде", "Хорошую погоду", "Хорошей погодой", "Хорошей погоде"
  end

  it "должен правильно склонять словосочение «Большой куш»" do
    source = RussianInflect.new("Большой куш")
  	source.test_each_case "Большой куш", "Большого куша", "Большому кушу", "Большой куш", "Большим кушем", "Большом куше"
  end

  it "должен правильно склонять словосочение «Синее море»" do
    source = RussianInflect.new("Синее море")
  	source.test_each_case "Синее море", "Синего моря", "Синему морю", "Синее море", "Синим морем", "Синем море"
  end

  it "должен правильно склонять словосочение «Красное вино»" do
    source = RussianInflect.new("Красное вино")
  	source.test_each_case "Красное вино", "Красного вина", "Красному вину", "Красное вино", "Красным вином", "Красном вине"
  end

  it "должен правильно склонять словосочение «Накладка моторного отсека»" do
    source = RussianInflect.new("Накладка моторного отсека")
  	source.test_each_case "Накладка моторного отсека", "Накладки моторного отсека", "Накладке моторного отсека", "Накладку моторного отсека", "Накладкой моторного отсека", "Накладке моторного отсека"
  end

  it "должен правильно склонять словосочение «Решетка радиатора»" do
    source = RussianInflect.new("Решетка радиатора")
  	source.test_each_case "Решетка радиатора", "Решетки радиатора", "Решетке радиатора", "Решетку радиатора", "Решеткой радиатора", "Решетке радиатора"
  end

  it "должен правильно склонять слово «Комментарий»" do
    source = RussianInflect.new("Комментарий")
  	source.test_each_case "Комментарий", "Комментария", "Комментарию", "Комментарий", "Комментарием", "Комментарии"
  end
end